/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 异步回调通知 POST /api/ThirdPartCallBack/BestSignCallBackNotice */
export async function bestSignCallBackNotice(
  body: API.SignCallBackNoticeEto,
  options?: API.RequestConfig
) {
  return request<any>('/api/ThirdPartCallBack/BestSignCallBackNotice', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 单笔转账到支付宝账户、单笔转账到银行卡、C2C现金红包、B2C现金红包单据状态变更后触发的通知 POST /api/ThirdPartCallBack/NotifyOrderChanged */
export async function notifyOrderChanged(options?: API.RequestConfig) {
  return request<any>('/api/ThirdPartCallBack/NotifyOrderChanged', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 信任签异步通知 POST /api/ThirdPartCallBack/SignorderNotify */
export async function signorderNotify(options?: API.RequestConfig) {
  return request<any>('/api/ThirdPartCallBack/SignorderNotify', {
    method: 'POST',
    ...(options || {}),
  });
}
